Bug 42077 - the iterator from javax.el.CompositeELResolver#getFeatureDescriptor() must not return null values
the iterator from javax.el.CompositeELResolver#getFeatureDescriptor() must no...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.11
All All
: P2 major (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-04-10 03:03 UTC by Mathias Broekelmann
Modified: 2014-02-17 13:56 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Broekelmann 2007-04-10 03:03:51 UTC
According to the spec the iterator which is returned by
javax.el.CompositeELResolver#getFeatureDescriptor() must skip any null
FeatureDescriptor of a containing el resolver.

Currently any feature descriptor value is returned whether it is null or not.

I have a working testcase (including a fix) in myfaces 1.2 
TestCase:
http://svn.apache.org/viewvc/myfaces/core/branches/jsf12/impl/src/test/java/org/apache/myfaces/el/CompositeELResolverTest.java?revision=527076&pathrev=527076
Fix:
http://svn.apache.org/viewvc/myfaces/core/branches/jsf12/impl/src/main/java/org/apache/myfaces/el/CompositeELResolver.java?revision=527076&pathrev=527076
Comment 1 Mark Thomas 2008-12-27 13:11:43 UTC
Thanks for the patch. It has been applied to trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2008-12-31 05:33:44 UTC
Thanks for the patch. It has been applied to 6.0.x and will be included in 6.0.19 onwards.